How to install luasql on Linux Ubuntu 16?

Asked
Active3 hr before
Viewed126 times

6 Answers

ubuntulinuxinstall
90%

Thanks to the help of the StackOverflow community, I was able to correctly install luasql on my computer running Linux CentOS 7.,Thanks for contributing an answer to Stack Overflow!, Meta Stack Overflow , Stack Overflow Public questions & answers

After that execute the command:

sudo luarocks PGSQL_INCDIR = /usr/include / postgresql / install luasql - postgres
88%

Completely removing lua-sql-mysql with all configuration files:,Quick installation of lua-sql-mysql:,Following command is used to remove the lua-sql-mysql package along with its dependencies:,This will remove lua-sql-mysql and all its dependent packages which is no longer needed in the system.

Step 1: Update system:

	sudo apt - get update

Ater updaing the OS run following command to install the packae:

	sudo apt - get install lua - sql - mysql
load more v
72%

If it was successfully installed, you can see the file /usr/include/postgresql/libpq-fe.h,First you need to install libpq-dev.,As suggested by @Knud Larsen:,libpq-fe.h /usr/include/postgresql/ http://packages.ubuntu.com/xenial-updates/amd64/libpq-dev/filelist

Now I have a similar problem with Linux Ubuntu 16. I tried the following commands:

sudo apt - get - y install lua - sql - postgres
sudo apt - get - y install lua - sql - postgres - dev
sudo luarocks install luasql - postgres

And here is the error I get from the system:

Installing https: //rocks.moonscript.org/luasql-postgres-2.3.5-2.rockspec...
   Using https: //rocks.moonscript.org/luasql-postgres-2.3.5-2.rockspec... switching to 'build' mode

   Error: Could not find expected file libpq - fe.h, or libpq - fe.h
for PGSQL--you may have to install PGSQL in your system and / or pass PGSQL_DIR or PGSQL_INCDIR to the luarocks command.Example: luarocks install luasql - postgres PGSQL_DIR = /usr/local
load more v
65%

Теперь у меня есть аналогичная проблема на Linux Ubuntu 16. Я попробовал следующие команды: , Как установить Grails на Linux Ubuntu LTS? , Я попытался установить luasql на свой компьютер Linux CentOS 7 с помощью этой команды: luarocks install luasql-postgres но к сожалению я получил следующую ошибку: Installing... , Как установить JDK на Ubuntu Linux

Теперь у меня есть аналогичная проблема на Linux Ubuntu 16. Я попробовал следующие команды:

sudo apt - get - y install lua - sql - postgres
sudo apt - get - y install lua - sql - postgres - dev
sudo luarocks install luasql - postgres

И вот ошибка, которую я получаю от системы:

Installing https: //rocks.moonscript.org/luasql-postgres-2.3.5-2.rockspec...
   Using https: //rocks.moonscript.org/luasql-postgres-2.3.5-2.rockspec... switching to 'build' mode

   Error: Could not find expected file libpq - fe.h, or libpq - fe.h
for PGSQL--you may have to install PGSQL in your system and / or pass PGSQL_DIR or PGSQL_INCDIR to the luarocks command.Example: luarocks install luasql - postgres PGSQL_DIR = /usr/local
load more v
75%

关于linux - 如何在 Linux Ubuntu 16 上安装 luasql?,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/43189975/ , 原文 标签 linux postgresql ubuntu lua torch ,感谢 StackOverflow 社区的帮助,我能够在我的 computer running Linux CentOS 7 上正确安装 luasql .现在我在 Linux Ubuntu 16 上遇到了类似的问题。我尝试了以下命令:, linux - 从Ubuntu 12.04升级到14.04后tftp-hpa无法启动

感谢 StackOverflow 社区的帮助,我能够在我的 computer running Linux CentOS 7 上正确安装 luasql .

现在我在 Linux Ubuntu 16 上遇到了类似的问题。
我尝试了以下命令:

sudo apt - get - y install lua - sql - postgres
sudo apt - get - y install lua - sql - postgres - dev
sudo luarocks install luasql - postgres

Installing https: //rocks.moonscript.org/luasql-postgres-2.3.5-2.rockspec...
   Using https: //rocks.moonscript.org/luasql-postgres-2.3.5-2.rockspec... switching to 'build' mode

   Error: Could not find expected file libpq - fe.h, or libpq - fe.h
for PGSQL--you may have to install PGSQL in your system and / or pass PGSQL_DIR or PGSQL_INCDIR to the luarocks command.Example: luarocks install luasql - postgres PGSQL_DIR = /usr/local
load more v
40%

在stackoverflow社区的帮助下,我能够在我的computer running Linux CentOS 7上正确安装luasql。现在我在LinuxUbuntu16上也遇到了类似的问题。我尝试了以下命令:

在stackoverflow社区的帮助下,我能够在我的computer running Linux CentOS 7上正确安装luasql。
现在我在LinuxUbuntu16上也遇到了类似的问题。
我尝试了以下命令:

sudo apt - get - y install lua - sql - postgres
sudo apt - get - y install lua - sql - postgres - dev
sudo luarocks install luasql - postgres
load more v

Other "ubuntu-linux" queries related to "How to install luasql on Linux Ubuntu 16?"